// $Id$
// fichier de donnees gmsh

lc = 1/2;


Lx = 10;
Ly = 10;

Lz = 10/2;

nl = 20/2;

Point(1) = {  0,   0, 0, lc};
Point(2) = { Lx,   0, 0, lc};
Point(3) = { Lx, -Ly, 0, lc};
Point(4) = {-Lx, -Ly, 0, lc};
Point(5) = {-Lx,   0, 0, lc};

Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 5};
Line(5) = {5, 1};
Line Loop(6) = {5, 1, 2, 3, 4};
Plane Surface(7) = {6};
Recombine Surface {7};

Extrude {0, 0, Lz} 
{
  Surface{7}; Layers{nl}; Recombine;
}

Extrude {0, 0, -Lz} 
{
  Surface{7}; Layers{nl}; Recombine;
}

// physical entities

Physical Point("Source Point") = {1};
Physical Line("Measurement line") = {1};
Physical Surface("Up Side") = {17, 44, 48, 21};
Physical Surface("Bottom Side") = {29, 56};
Physical Surface("Front Side") = {34};
Physical Surface("Rear Side") = {61};
Physical Surface("Right Side") = {25, 52};
Physical Surface("Left Side") = {33, 60};
Physical Volume("Volume") = {1, 2};
